Bug 444034 - /sbin/ifcfg assumes ip, arping and rdisc are in $PATH
/sbin/ifcfg assumes ip, arping and rdisc are in $PATH
Product: Fedora
Classification: Fedora
Component: iproute (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On:
  Show dependency treegraph
Reported: 2008-04-24 13:31 EDT by Ville Skyttä
Modified: 2008-12-02 12:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-02 08:47:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Call ip, arping, and rdisc with full paths (3.26 KB, patch)
2008-04-24 13:31 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2008-04-24 13:31:52 EDT
/sbin/ifcfg assumes that ip, arping, and rdisc are in $PATH which is not the
case eg. after "sudo -s" from a non-root user.  Patch attached.
Comment 1 Ville Skyttä 2008-04-24 13:31:52 EDT
Created attachment 303665 [details]
Call ip, arping, and rdisc with full paths
Comment 2 Marcela Mašláňová 2008-04-25 06:08:42 EDT
I sent your patch to upstream, let's wait for acceptance.
Comment 3 Marcela Mašláňová 2008-04-25 06:30:38 EDT
Your patch assumes 'ip' was installed in /sbin. It isn't always true, so it's
Comment 4 Ville Skyttä 2008-04-25 14:45:25 EDT
I am not surprised at all that it's not acceptable upstream, otherwise I would
have sent it there myself.

The Fedora package *does* install the binaries explicitly to /sbin in the
specfile and thus remains broken as described, and the posted patch fixes it,
Comment 5 Ville Skyttä 2008-04-25 14:50:06 EDT
Another fix obviously would be to symlink the mentioned binaries eg. to /bin.
Comment 6 Marcela Mašláňová 2008-05-09 05:00:39 EDT
I'd like to wait until decision about path (/sbin) will be made. I prefer to fix
it in all branches same way.
Comment 7 Bug Zapper 2008-05-14 06:06:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 8 Marcela Mašláňová 2008-12-02 08:47:30 EST
I suppose adding /sbin into paths in F-10 solved your problem.
Comment 9 Ville Skyttä 2008-12-02 12:54:34 EST
Not at all, I'm still on F-9.  Besides, adding /sbin dirs to the default paths creates so severe usability problems with shell completion for normal users that chances are that I won't be "upgrading" to F-10 at all.  Chances are also that /sbin paths will be removed from defaults again in F-11, there's a "RealSbinSanity" feature cooking... so it might be that this issue needs to be revisited again soon.

Note You need to log in before you can comment on or make changes to this bug.